diff --git a/modules/freifunk/luasrc/view/freifunk/public_status.htm b/modules/freifunk/luasrc/view/freifunk/public_status.htm
index 953cda6..1f5db65 100644
--- a/modules/freifunk/luasrc/view/freifunk/public_status.htm
+++ b/modules/freifunk/luasrc/view/freifunk/public_status.htm
@@ -8,6 +8,7 @@ local uptime = twa.date_format(tonumber(sys.uptime()))
 local time = os.date("%a, %d %b %Y, %H:%M:%S")
 local load1, load5, load15 = sys.loadavg()
 local load = string.format("%.2f, %.2f, %.2f", load1, load5, load15)
+local hostname = luci.sys.hostname() or "?"
 
 local mem = string.format(
 	"%.2f MB (%.2f %s, %.2f %s, %.2f %s, %.2f %s)",
@@ -227,17 +228,22 @@ end
 	);
 //]]></script>
 
-<div class="cbi-map">
-	<h2><%:System%></h2>
-	<div class="cbi-section-node">
-		<div class="cbi-value"><label class="cbi-value-title"><%:System%></label><div class="cbi-value-field"><%=system%></div></div>
-		<div class="cbi-value"><label class="cbi-value-title"><%:Processor%></label><div class="cbi-value-field"><%=model%></div></div>
-		<div class="cbi-value"><label class="cbi-value-title"><%:Load%></label><div class="cbi-value-field" id="dynload"><%=load%></div></div>
-		<div class="cbi-value"><label class="cbi-value-title"><%:Memory%></label><div class="cbi-value-field" id="dynmem"><%=mem%></div></div>
-		<div class="cbi-value"><label class="cbi-value-title"><%:Local Time%></label><div class="cbi-value-field" id="dyntime"><%=time%></div></div>
-		<div class="cbi-value"><label class="cbi-value-title"><%:Uptime%></label><div class="cbi-value-field" id="dynuptime"><%=uptime%></div></div>
-	</div>
-</div>
+<fieldset class="cbi-section">
+	<legend><h2><%:System%></h2></legend>
+	<table class="cbi-section-table" width="100%" cellspacing="10">
+		<tr><td width="33%"><%:Router Name%></td><td><%=hostname%></td></tr>
+		<tr><td width="33%"><%:Router Model%></td><td><%=model%></td></tr>
+		<tr><td width="33%"><%:Firmware Version%></td><td>
+			<%=pcdata(luci.version.distname)%> <%=pcdata(luci.version.distversion)%> /
+			<%=pcdata(luci.version.luciname)%> (<%=pcdata(luci.version.luciversion)%>)
+		</td></tr>
+		<tr><td width="33%"><%:System%></td><td><%=system%></td></tr>
+		<tr><td width="33%"><%:Kernel Version%></td><td><%=luci.sys.exec("uname -r")%></td></tr>
+		<tr><td width="33%"><%:Local Time%></td><td id="localtime"><%=time%></td></tr>
+		<tr><td width="33%"><%:Uptime%></td><td id="uptime"><%=uptime%></td></tr>
+		<tr><td width="33%"><%:Load Average%></td><td id="loadavg"><%=load%></td></tr>
+	</table>
+</fieldset>
 
 <% if devices[1] then %>
 
